/*
  Copyright 2018 Tautvydas Andrikys

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.esminis.server.mariadb.application;

import com.esminis.server.library.server.ServerControl;
import com.esminis.server.library.server.dataaction.ServerDataAction;

import javax.inject.Named;
import javax.inject.Singleton;

import androidx.annotation.Nullable;
import dagger.Module;
import dagger.Provides;

@Module
public class MariaDbApplicationDataModule {

	@Singleton
	@Provides
	@Named(ServerControl.ACTION_DATA_EXPORT)
	@Nullable
	ServerDataAction provideServerDataExportAction() {
		return null;
	}

	@Singleton
	@Provides
	@Named(ServerControl.ACTION_DATA_IMPORT)
	@Nullable
	ServerDataAction provideServerDataImportAction() {
		return null;
	}

}